public static final class GetGatewayAuthConsumerDetailResponseBody.Data.Builder extends Object
public GetGatewayAuthConsumerDetailResponseBody.Data.Builder consumerStatus(Boolean consumerStatus)
The status of the consumer. Valid values:
true
public GetGatewayAuthConsumerDetailResponseBody.Data.Builder description(String description)
The description.
example:Description
public GetGatewayAuthConsumerDetailResponseBody.Data.Builder encodeType(String encodeType)
The encryption type. Valid values:
RSA
public GetGatewayAuthConsumerDetailResponseBody.Data.Builder gatewayUniqueId(String gatewayUniqueId)
The unique ID of the gateway.
example:gw-7ea3da97b96543e19f6c597cd4a9****
public GetGatewayAuthConsumerDetailResponseBody.Data.Builder gmtCreate(String gmtCreate)
The time when the consumer authentication record was created.
example:2031-03-30 02:35:12
public GetGatewayAuthConsumerDetailResponseBody.Data.Builder gmtModified(String gmtModified)
The time when the consumer authentication record was modified.
example:2023-02-01 14:17:57
public GetGatewayAuthConsumerDetailResponseBody.Data.Builder id(Long id)
The ID of the consumer.
example:12
public GetGatewayAuthConsumerDetailResponseBody.Data.Builder jwks(String jwks)
The JWT public key. The JSON format is supported.
example:{ "keys": [ { "e": "AQAB", "kid": "DHFbpoIUqrY8t2zpA2qXfCmr5VO5ZEr4RzHU_-envvQ", "kty": "RSA", "n": "xAE7eB6qugXyCAG3yhh7pkDkT65pHymX-P7KfIupjf59vsdo91bSP9C8H07pSAGQO1MV_xFj9VswgsCg4R6otmg5PV2He95lZdHtOcU5DXIg_pbhLdKXbi66GlVeK6ABZOUW3WYtnNHD-91gVuoeJT_DwtGGcp4ignkgXfkiEm4sw-4sfb4qdt5oLbyVpmW6x9cfa7vs2WTfURiCrBoUqgBo_-4WTiULmmHSGZHOjzwa8WtrtOQGsAFjIbno85jp6MnGGGZPYZbDAa_b3y5u-YpW7ypZrvD8BgtKVjgtQgZhLAGezMt0ua3DRrWnKqTZ0BJ_EyxOGuHJrLsn00fnMQ" } ] }
public GetGatewayAuthConsumerDetailResponseBody.Data.Builder keyName(String keyName)
The name of the key used for JWT-based identity authentication.
example:iss
public GetGatewayAuthConsumerDetailResponseBody.Data.Builder keyValue(String keyValue)
The value of the key used for JWT-based identity authentication.
example:abcd
public GetGatewayAuthConsumerDetailResponseBody.Data.Builder name(String name)
The name of the consumer.
example:test
public GetGatewayAuthConsumerDetailResponseBody.Data.Builder primaryUser(String primaryUser)
The creator.
example:123
public GetGatewayAuthConsumerDetailResponseBody.Data.Builder resourceList(List<GetGatewayAuthConsumerDetailResponseBody.ResourceList> resourceList)
The resource list.
public GetGatewayAuthConsumerDetailResponseBody.Data.Builder tokenName(String tokenName)
The names of the parameters that are required to verify each token. By default, each token is prefixed with Bearer and stored in the Authorization header, such as Authorization: Bearer <Content of a token>.
Authorization
public GetGatewayAuthConsumerDetailResponseBody.Data.Builder tokenPass(Boolean tokenPass)
Specifies whether to enable pass-through.
example:true
public GetGatewayAuthConsumerDetailResponseBody.Data.Builder tokenPosition(String tokenPosition)
The positions of the parameters that are required to verify each token. By default, each token is prefixed with Bearer and stored in the Authorization header, such as Authorization: Bearer <Content of a token>.
HEADER
public GetGatewayAuthConsumerDetailResponseBody.Data.Builder tokenPrefix(String tokenPrefix)
The prefixes of the parameters that are required to verify each token. By default, each token is prefixed with Bearer and stored in the Authorization header, such as Authorization: Bearer <Content of a token>.
Bearer
public GetGatewayAuthConsumerDetailResponseBody.Data.Builder type(String type)
The authentication type. Valid values:
JWT
public GetGatewayAuthConsumerDetailResponseBody.Data build()
Copyright © 2026. All rights reserved.